package app

import (
	"github.com/urfave/cli/v2"
)

var force bool
var forceFlag = &cli.BoolFlag{
	Name:        "force",
	Value:       false,
	Destination: &force,
}

var update bool
var updateFlag = &cli.BoolFlag{
	Name:        "update",
	Value:       false,
	Destination: &update,
}

var noDomainPoll bool
var noDomainPollFlag = &cli.BoolFlag{
	Name:        "no-domain-poll",
	Value:       false,
	Destination: &noDomainPoll,
}

// skipVersionCheck stores the variable from SkipVersionCheckFlag
var skipVersionCheck bool
var skipVersionCheckFlag = &cli.BoolFlag{
	Name:        "skip-version-check",
	Value:       false,
	Destination: &skipVersionCheck,
}

var appDeployCommand = &cli.Command{
	Name: "deploy",
	Flags: []cli.Flag{
		updateFlag,
		forceFlag,
		skipVersionCheckFlag,
		noDomainPollFlag,
	},
}
