package app

import (
	"coopcloud.tech/abra/cli/internal"
	"github.com/urfave/cli/v2"
)

// Volumes stores the variable from VolumesFlag
var Volumes bool

// VolumesFlag is used to specify if volumes should be deleted when deleting an app
var VolumesFlag = &cli.BoolFlag{
	Name:        "volumes",
	Value:       false,
	Destination: &Volumes,
}

var appRemoveCommand = &cli.Command{
	Name: "remove",
	Flags: []cli.Flag{
		VolumesFlag,
		internal.SecretsFlag,
	},
}
