package internal

import (
	"os"

	"github.com/sirupsen/logrus"
	"github.com/urfave/cli/v2"
)

// ShowSubcommandHelpAndError exits the program on error, logs the error to the terminal, and shows the help command.
func ShowSubcommandHelpAndError(c *cli.Context, err interface{}) {
	if err2 := cli.ShowSubcommandHelp(c); err2 != nil {
		// go-critic wants me to check this error but if this throws an error while we throw an error that would be annoying
		logrus.Error(err2)
	}
	logrus.Error(err)
	os.Exit(1)
}
