package server

import (
	"github.com/urfave/cli/v2"
)

// ServerCommand defines the `abra server` command and ets subcommands
var ServerCommand = &cli.Command{
	Name:      "server",
	ArgsUsage: "<host>",
	Usage:     "Manage the servers that host your apps",
	Description: `
Manage the lifecycle of a server.

These commands support creating new servers using 3rd party integrations,
initialising existing servers to support Co-op Cloud deployments and managing
the connections to those servers.
`,
	Subcommands: []*cli.Command{
		serverNewCommand,
		serverInitCommand,
		serverAddCommand,
		serverListCommand,
		serverRemoveCommand,
	},
}
